### Method

# FwupdPlugin Device set_update_image

since: 2.0.0

#### Declaration [src]

    void
    fu_device_set_update_image (
      FuDevice* self,
      const gchar* update_image
    )

#### Description [src]

Sets the update image URL.

Available since: 2.0.0

Sets property | `FwupdPlugin.Device:update-image`

#### Parameters

`update_image`

  Type: `const gchar*`

  The update image URL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.